# locale_facets.tcc File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file locale_facets.tcc.

Go to the source code of this file.

## Namespaces

- namespace std

## Defines

- #define _LOCALE_FACETS_TCC

## Functions

- template<typename _CharT, typename _ValueT> int __int_to_char (_CharT *__bufend, _ValueT __v, const _CharT *__lit, ios_base::fmtflags __flags, bool)
- template<typename _CharT> int __int_to_char (_CharT *__bufend, unsigned long long __v, const _CharT *__lit, ios_base::fmtflags __flags)
- template<typename _CharT> int __int_to_char (_CharT *__bufend, long long __v, const _CharT *__lit, ios_base::fmtflags __flags)
- template<typename _CharT> int __int_to_char (_CharT *__bufend, unsigned long __v, const _CharT *__lit, ios_base::fmtflags __flags)
- template<typename _CharT> int __int_to_char (_CharT *__bufend, long __v, const _CharT *__lit, ios_base::fmtflags __flags)
- static bool __verify_grouping (const char *__grouping, size_t __grouping_size, const string &__grouping_tmp)
- template<typename _Facet> bool has_facet (const locale &__loc) throw ()
- template<typename _Facet> const _Facet & use_facet (const locale &__loc)

## Function Documentation

bool has_facet | ( | const locale & | __loc | ) | throw ()`[inline]`

Test for the presence of a facet.

has_facet tests the locale argument for the presence of the facet type provided as the template parameter. Facets derived from the facet parameter will also return true.

Parameters:

  | Facet | The facet type to test the presence of.
  | locale | The locale to test.

Returns:
  true if locale contains a facet of type Facet, else false.

Definition at line 88 of file locale_facets.tcc.

const _Facet & use_facet | ( | const locale & | __loc | ) | `[inline]`

Return a facet.

use_facet looks for and returns a reference to a facet of type Facet where Facet is the template parameter. If has_facet(locale) is true, there is a suitable facet to return. It throws std::bad_cast if the locale doesn't contain a facet of type Facet.

Parameters:

  | Facet | The facet type to access.
  | locale | The locale to use.

Returns:
  Reference to facet of type Facet.

Exceptions:

  | std::bad_cast | if locale doesn't contain a facet of type Facet.

Definition at line 110 of file locale_facets.tcc.